Bug 1415815 (grantlee-editor) - Review Request: grantlee-editor - KMail Theme Editor
Summary: Review Request: grantlee-editor - KMail Theme Editor
Keywords:
Status: CLOSED RAWHIDE
Alias: grantlee-editor
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: kde-reviews
TreeView+ depends on / blocked
 
Reported: 2017-01-23 19:28 UTC by Rex Dieter
Modified: 2017-01-30 18:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-30 18:36:09 UTC
Type: ---
lupinix.fedora: fedora-review+


Attachments (Terms of Use)

Description Rex Dieter 2017-01-23 19:28:10 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/kde-apps/grantlee-editor.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/kde-apps/grantlee-editor-16.12.1-1.fc25.src.rpm
Description: KMail Theme Editor
Fedora Account System Username: rdieter

Comment 1 Rex Dieter 2017-01-23 19:28:47 UTC
Scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=17394512

Comment 2 Christian Dersch 2017-01-30 16:16:05 UTC
I'll review this one now

Comment 3 Christian Dersch 2017-01-30 16:30:50 UTC
Please check requirements:

CMake Error at CMakeLists.txt:67 (find_package):
  Could not find a package configuration file provided by
  "KF5KaddressbookGrantlee" (requested version 5.4.1) with any of the
  following names:
    KF5KaddressbookGrantleeConfig.cmake
    kf5kaddressbookgrantlee-config.cmake
  Add the installation prefix of "KF5KaddressbookGrantlee" to
  CMAKE_PREFIX_PATH or set "KF5KaddressbookGrantlee_DIR" to a directory
  containing one of the above files.  If "KF5KaddressbookGrantlee" provides a
  separate development package or SDK, be sure it has been installed.
-- Configuring incomplete, errors occurred!

Comment 4 Rex Dieter 2017-01-30 16:49:08 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/kde-apps/grantlee-editor.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/kde-apps/grantlee-editor-16.12.1-2.fc25.src.rpm

%changelog
* Mon Jan 30 2017 Rex Dieter <rdieter@fedoraproject.org> - 16.12.1-2
- BR: kdepim-apps-libs-devel (KF5KaddressbookGrantlee) 
- -libs: ldconfig scriptlets

Comment 5 Rex Dieter 2017-01-30 16:59:23 UTC
scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=17506838

Comment 6 Christian Dersch 2017-01-30 17:01:34 UTC
Approved, looks fine!


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "Unknown or generated". 6 files have
     unknown license. Detailed output of licensecheck in
     /home/review/1415815-grantlee-editor/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/doc/HTML,
     /usr/share/doc/HTML/en, /usr/share/config.kcfg
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/doc/HTML/en/contactthemeeditor(kaddressbook),
     /usr/share/doc/HTML/en/headerthemeeditor(kmail)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
==> We are limited to %{?qt5_qtwebengine_arches:ExclusiveArch: %{qt5_qtwebengine_arches}}


[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     grantlee-editor-libs , grantlee-editor-debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
==> We are limited to %{?qt5_qtwebengine_arches:ExclusiveArch: %{qt5_qtwebengine_arches}}

[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: grantlee-editor-16.12.1-2.fc26.x86_64.rpm
          grantlee-editor-libs-16.12.1-2.fc26.x86_64.rpm
          grantlee-editor-debuginfo-16.12.1-2.fc26.x86_64.rpm
          grantlee-editor-16.12.1-2.fc26.src.rpm
grantlee-editor.x86_64: W: spelling-error Summary(en_US) KMail -> K Mail, Mail, Email
grantlee-editor.x86_64: W: spelling-error %description -l en_US KMail -> K Mail, Mail, Email
grantlee-editor.x86_64: W: non-conffile-in-etc /etc/xdg/grantleeditor.renamecategories
grantlee-editor.x86_64: W: non-conffile-in-etc /etc/xdg/grantleeditor.categories
grantlee-editor.x86_64: W: no-manual-page-for-binary contactprintthemeeditor
grantlee-editor.x86_64: W: no-manual-page-for-binary contactthemeeditor
grantlee-editor.x86_64: W: no-manual-page-for-binary headerthemeeditor
grantlee-editor-libs.x86_64: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
grantlee-editor-libs.x86_64: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
grantlee-editor-libs.x86_64: W: no-documentation
grantlee-editor.src: W: spelling-error Summary(en_US) KMail -> K Mail, Mail, Email
grantlee-editor.src: W: spelling-error %description -l en_US KMail -> K Mail, Mail, Email
grantlee-editor.src:105: W: macro-in-comment %{buildroot}
grantlee-editor.src:105: W: macro-in-comment %{_kf5_datadir}
grantlee-editor.src:105: W: macro-in-comment %{name}
4 packages and 0 specfiles checked; 0 errors, 15 warnings.




Rpmlint (debuginfo)
-------------------
Checking: grantlee-editor-debuginfo-16.12.1-2.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
grantlee-editor.x86_64: W: spelling-error Summary(en_US) KMail -> K Mail, Mail, Email
grantlee-editor.x86_64: W: spelling-error %description -l en_US KMail -> K Mail, Mail, Email
grantlee-editor.x86_64: W: non-conffile-in-etc /etc/xdg/grantleeditor.categories
grantlee-editor.x86_64: W: non-conffile-in-etc /etc/xdg/grantleeditor.renamecategories
grantlee-editor.x86_64: W: no-manual-page-for-binary contactprintthemeeditor
grantlee-editor.x86_64: W: no-manual-page-for-binary contactthemeeditor
grantlee-editor.x86_64: W: no-manual-page-for-binary headerthemeeditor
grantlee-editor-libs.x86_64: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
grantlee-editor-libs.x86_64: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
grantlee-editor-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgrantleethemeeditor.so.5.4.1 /lib64/libKF5PimCommon.so.5
grantlee-editor-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgrantleethemeeditor.so.5.4.1 /lib64/libKF5AkonadiContact.so.5
grantlee-editor-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgrantleethemeeditor.so.5.4.1 /lib64/libKF5AkonadiWidgets.so.5
grantlee-editor-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgrantleethemeeditor.so.5.4.1 /lib64/libKF5AkonadiCore.so.5
grantlee-editor-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgrantleethemeeditor.so.5.4.1 /lib64/libKF5ItemModels.so.5
grantlee-editor-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgrantleethemeeditor.so.5.4.1 /lib64/libKF5Contacts.so.5
grantlee-editor-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgrantleethemeeditor.so.5.4.1 /lib64/libKF5JobWidgets.so.5
grantlee-editor-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgrantleethemeeditor.so.5.4.1 /lib64/libKF5KIOCore.so.5
grantlee-editor-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgrantleethemeeditor.so.5.4.1 /lib64/libKF5ConfigWidgets.so.5
grantlee-editor-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgrantleethemeeditor.so.5.4.1 /lib64/libKF5Codecs.so.5
grantlee-editor-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgrantleethemeeditor.so.5.4.1 /lib64/libKF5Auth.so.5
grantlee-editor-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgrantleethemeeditor.so.5.4.1 /lib64/libKF5Service.so.5
grantlee-editor-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgrantleethemeeditor.so.5.4.1 /lib64/libKF5CoreAddons.so.5
grantlee-editor-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgrantleethemeeditor.so.5.4.1 /lib64/libQt5Xml.so.5
grantlee-editor-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgrantleethemeeditor.so.5.4.1 /lib64/libQt5Network.so.5
grantlee-editor-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgrantleethemeeditor.so.5.4.1 /lib64/libm.so.6
grantlee-editor-libs.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 26 warnings.



Requires
--------
grantlee-editor-debuginfo (rpmlib, GLIBC filtered):

grantlee-editor (rpmlib, GLIBC filtered):
    grantlee-editor-libs(x86-64)
    libGrantlee_Templates.so.5()(64bit)
    libKF5AkonadiContact.so.5()(64bit)
    libKF5AkonadiCore.so.5()(64bit)
    libKF5AkonadiMime.so.5()(64bit)
    libKF5AkonadiWidgets.so.5()(64bit)
    libKF5Archive.so.5()(64bit)
    libKF5Attica.so.5()(64bit)
    libKF5Auth.so.5()(64bit)
    libKF5Codecs.so.5()(64bit)
    libKF5ConfigCore.so.5()(64bit)
    libKF5ConfigGui.so.5()(64bit)
    libKF5ConfigWidgets.so.5()(64bit)
    libKF5Contacts.so.5()(64bit)
    libKF5CoreAddons.so.5()(64bit)
    libKF5Crash.so.5()(64bit)
    libKF5DBusAddons.so.5()(64bit)
    libKF5GrantleeTheme.so.5()(64bit)
    libKF5I18n.so.5()(64bit)
    libKF5ItemModels.so.5()(64bit)
    libKF5KIOCore.so.5()(64bit)
    libKF5KaddressbookGrantlee.so.5()(64bit)
    libKF5Libkleo.so.5()(64bit)
    libKF5MessageCore.so.5()(64bit)
    libKF5MessageViewer.so.5()(64bit)
    libKF5Mime.so.5()(64bit)
    libKF5MimeTreeParser.so.5()(64bit)
    libKF5NewStuff.so.5()(64bit)
    libKF5NewStuffCore.so.5()(64bit)
    libKF5PimCommon.so.5()(64bit)
    libKF5PimTextEdit.so.5()(64bit)
    libKF5Service.so.5()(64bit)
    libKF5WidgetsAddons.so.5()(64bit)
    libKF5XmlGui.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5DBus.so.5()(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Positioning.so.5()(64bit)
    libQt5Qml.so.5()(64bit)
    libQt5Quick.so.5()(64bit)
    libQt5WebChannel.so.5()(64bit)
    libQt5WebEngineCore.so.5()(64bit)
    libQt5WebEngineWidgets.so.5()(64bit)
    libQt5WebEngineWidgets.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5Xml.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgpgme.so.11()(64bit)
    libgpgmepp.so.6()(64bit)
    libgrantleethemeeditor.so.5()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libqgpgme.so.7()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

grantlee-editor-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    grantlee-editor
    libKF5AkonadiContact.so.5()(64bit)
    libKF5AkonadiCore.so.5()(64bit)
    libKF5AkonadiWidgets.so.5()(64bit)
    libKF5Archive.so.5()(64bit)
    libKF5Auth.so.5()(64bit)
    libKF5Codecs.so.5()(64bit)
    libKF5Completion.so.5()(64bit)
    libKF5ConfigCore.so.5()(64bit)
    libKF5ConfigGui.so.5()(64bit)
    libKF5ConfigWidgets.so.5()(64bit)
    libKF5Contacts.so.5()(64bit)
    libKF5CoreAddons.so.5()(64bit)
    libKF5I18n.so.5()(64bit)
    libKF5ItemModels.so.5()(64bit)
    libKF5JobWidgets.so.5()(64bit)
    libKF5KIOCore.so.5()(64bit)
    libKF5KIOWidgets.so.5()(64bit)
    libKF5PimCommon.so.5()(64bit)
    libKF5PimTextEdit.so.5()(64bit)
    libKF5Service.so.5()(64bit)
    libKF5SyntaxHighlighting.so.5()(64bit)
    libKF5WidgetsAddons.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5Xml.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
grantlee-editor-debuginfo:
    grantlee-editor-debuginfo
    grantlee-editor-debuginfo(x86-64)

grantlee-editor:
    application()
    application(org.kde.contactprintthemeeditor.desktop)
    application(org.kde.contactthemeeditor.desktop)
    application(org.kde.headerthemeeditor.desktop)
    grantlee-editor
    grantlee-editor(x86-64)

grantlee-editor-libs:
    grantlee-editor-libs
    grantlee-editor-libs(x86-64)
    libgrantleethemeeditor.so.5()(64bit)



Source checksums
----------------
http://download.kde.org/stable/applications/16.12.1/src/grantlee-editor-16.12.1.tar.xz :
  CHECKSUM(SHA256) this package     : 01fed5a83d6e9ece0591172dd5ac48b9522e9c4d749b03c3c8484d3b246b5322
  CHECKSUM(SHA256) upstream package : 01fed5a83d6e9ece0591172dd5ac48b9522e9c4d749b03c3c8484d3b246b5322


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1415815
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 Rex Dieter 2017-01-30 17:12:26 UTC
pkgdb request submitted

Comment 8 Gwyn Ciesla 2017-01-30 17:31:49 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/grantlee-editor

Comment 9 Rex Dieter 2017-01-30 18:36:09 UTC
imported, thanks.


Note You need to log in before you can comment on or make changes to this bug.